Loading...
Searching...
No Matches
globjects::ChangeListener Class Reference

Allows listening to any Changeable. More...

`#include <globjects/include/globjects/base/ChangeListener.h>`

Inheritance diagram for globjects::ChangeListener:

## Public Member Functions

virtual | ~ChangeListener ()
virtual void | notifyChanged (const Changeable *sender)

## Friends

class | Changeable

## Detailed Description

Allows listening to any Changeable.

If a Changeable this ChangeListener is registered on signals a change, the notifyChanged() method is called. This class implements the observer pattern.

See also
  Changeable

## Constructor & Destructor Documentation

## ~ChangeListener()

virtual globjects::ChangeListener::~ChangeListener | ( |  | ) |

virtual

## Member Function Documentation

## notifyChanged()

virtual void globjects::ChangeListener::notifyChanged | ( | const Changeable * | sender | ) |

virtual

Reimplemented in globjects::CompositeStringSource, globjects::StringSourceDecorator, globjects::NamedString, globjects::Shader, globjects::Program, globjects::ProgramBinary, and globjects::ProgramPipeline.

## Friends And Related Symbol Documentation

## Changeable

friend class Changeable

friend

The documentation for this class was generated from the following file:

- ChangeListener.h